org.apache.tinkerpop.gremlin.util.function

## Interface TriConsumer<A,B,C>

- Type Parameters:
    `A` - the type of the first argument to the operation
    `B` - the type of the second argument to the operation
    `C` - the type of the third argument to the operation
  All Known Implementing Classes:
    ScriptEngineLambda

      public interface TriConsumer<A,B,C>

  Represents an operation that accepts two input arguments and returns no result. This is the tri-arity specialization of `Consumer`. Unlike most other functional interfaces, `TriConsumer` is expected to operate via side-effects.

  This is a functional interface whose functional method is `accept(Object, Object, Object)`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(A a, B b, C c)` Performs this operation on the given arguments.
    `default TriConsumer<A,B,C>` | `andThen(TriConsumer<? super A,? super B,? super C> after)` Returns a composed @{link TriConsumer} that performs, in sequence, this operation followed by the `after` operation.

- - ### Method Detail

    - #### accept

          void accept(A a,
                      B b,
                      C c)

      Performs this operation on the given arguments.
      Parameters:
        `a` - the first argument to the operation
        `b` - the second argument to the operation
        `c` - the third argument to the operation

    - #### andThen

          default TriConsumer<A,B,C> andThen(TriConsumer<? super A,? super B,? super C> after)

      Returns a composed @{link TriConsumer} that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the after operation will not be performed.
      Parameters:
        `after` - the operation to perform after this operation
      Returns:
        a composed `TriConsumer` that performs in sequence this operation followed by the `after` operation
      Throws:
        `NullPointerException` - if `after` is null

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.